.navbar {
  position: fixed;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  left: 0;
  top: 0;
  height: 100%;
  width: 260px;
  background: #fff;
  box-shadow: 0 0 32px rgba(#000000, 0.1);
  user-select: none;
  z-index: 10;
  transition: 0.3s ease transform;

  &__loader {
    height: 50px;
  }

  &__account {
    cursor: pointer;
    display: flex;
    align-items: center;
    padding: 16px 24px;
    height: auto;
    border-bottom: 1px solid rgba(#000000, 0.1);
    transition: 0.1s ease all;

    &:hover {
      background: rgba(#000000, 0.05);

      .navbar__accountImg{
        box-shadow: 0 0 4px rgba(#000000, 0.1);
        transform: scale(1.1);
      }
    }
  }

  &__accountImg {
    box-shadow: 0 0 16px rgba(#000000, 0);
    transition: 0.2s ease all;
  }

  &__accountUsername {
    flex: 1;
    text-align: center;
    margin-right: 16px;
    font-size: 18px;
  }

  &__container {
    flex: 1;
    margin-bottom: 32px;
    display: flex;
    flex-direction: column;
  }

  &__brand {
    width: 153px;
    margin: 0 auto 32px;
  }
}

.navBtn {
  position: fixed;
  display: none;
  top: 8px;
  right: 8px;
  height: 32px;
  width: 32px;
  align-items: center;
  justify-content: center;
  border: #c0c0c0;
  background: #fff;
  border-radius: 50%;
  box-shadow: 0 0 16px #00000050;
  z-index: 999;

  > * {
    width: 75%;
    pointer-events: none;
  }
}


@media screen and (max-width: 1279px) {
  .navbar {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    height: auto;
    width: auto;
    transform: translateX(-100%);
    box-shadow: 0 0 0 rgba(#000000, 0.1);
    justify-content: center;

    &__container {
      flex: 0
    }

    &__brand {
      display: none;
    }

    &--opened {
      transform: translateX(0);
    }
  }

  .navBtn {
    display: flex;
  }
}